﻿using ELTE.TravelAgency.Models;
using System.Web.Mvc;
using System.Linq;

namespace ELTE.TravelAgency.Controllers
{
    /// <summary>
    /// Vezrlő ősosztálya.
    /// </summary>
    public class BaseController : Controller
    {
        protected IAccountService _accountService;
        protected ITravelService _travelService;

        public BaseController()
        {
            _accountService = new IdentityAccountService();
            _travelService = new TravelService();

            // a minden oldalról elérhető információkat ise gyűjtjük
            ViewBag.Cities = _travelService.Cities.ToList();
            ViewBag.UserCount = _accountService.UserCount;

            if (_accountService.CurrentUserName != null)
                ViewBag.CurrentGuestName = _accountService.GetGuest(_accountService.CurrentUserName).Name;
        }
    }
}